package com.persagy.iottransfer.communication.util;

import java.net.SocketAddress;

public interface IServerHandler {
    void sessionOpened(SocketAddress address) throws Exception;

    void sessionClosed(SocketAddress address) throws Exception;

    void exceptionCaught(SocketAddress address, Throwable cause) throws Exception;

    void sessionIdle(SocketAddress address) throws Exception;
}
