package com.persagy.iottransfer.communication.util;

import com.persagy.iottransfer.communication.entity.Packet;
import com.persagy.iottransfer.config.IotProperties;

public interface IClientManager {
    IotProperties.Client getClient();

    String getProjectId();

    String Name();

    void Start();

    void Stop();

    boolean IsSessionClosed();

    void SetSessionClosed(boolean value);

    void AppendToSend(Packet MyPackage);

    Packet PopRece();

    Packet takeRece() throws InterruptedException;

    int ReceBufferSize();

    void setHandlerManager(IClientHandler handlerManager);

    void hasRemark(int count);
}
